AbstractSessionCache (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.catalina, class: AbstractSessionCache

Package org.apache.geode.modules.session.catalina

# Class AbstractSessionCache

java.lang.Object
org.apache.geode.modules.session.catalina.AbstractSessionCache

All Implemented Interfaces:
  `SessionCache`

Direct Known Subclasses:
  `ClientServerSessionCache`, `PeerToPeerSessionCache`

public abstract class AbstractSessionCache extends Object implements SessionCache

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SessionManager`
  `sessionManager`
  `protected org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics`
  `statistics`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroySession(String sessionId)`
  `Region<String,jakarta.servlet.http.HttpSession>`
  `getOperatingRegion()`
  `String`
  `getOperatingRegionName()`
  `jakarta.servlet.http.HttpSession`
  `getSession(String sessionId)`
  `protected SessionManager`
  `getSessionManager()`
  `Region<String,jakarta.servlet.http.HttpSession>`
  `getSessionRegion()`
  `org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics`
  `getStatistics()`
  `void`
  `putSession(org.apache.catalina.Session session)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.geode.modules.session.catalina.SessionCache

  `getCache, getDefaultEnableLocalCache, getDefaultRegionAttributesId, initialize, isBackingCacheAvailable, isClientServer, isPeerToPeer, keySet, size, touchSessions`

- ## Field Details

  - ### sessionManager

    protected SessionManager sessionManager

  - ### statistics

    protected org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics statistics

- ## Method Details

  - ### getOperatingRegionName

    public String getOperatingRegionName()
    Specified by:
      `getOperatingRegionName` in interface `SessionCache`

  - ### putSession

    public void putSession(org.apache.catalina.Session session)
    Specified by:
      `putSession` in interface `SessionCache`

  - ### getSession

    public jakarta.servlet.http.HttpSession getSession(String sessionId)
    Specified by:
      `getSession` in interface `SessionCache`

  - ### destroySession

    public void destroySession(String sessionId)
    Specified by:
      `destroySession` in interface `SessionCache`

  - ### getStatistics

    public org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics getStatistics()
    Specified by:
      `getStatistics` in interface `SessionCache`

  - ### getSessionManager

    protected SessionManager getSessionManager()

  - ### getSessionRegion

    public Region<String,jakarta.servlet.http.HttpSession> getSessionRegion()
    Specified by:
      `getSessionRegion` in interface `SessionCache`

  - ### getOperatingRegion

    public Region<String,jakarta.servlet.http.HttpSession> getOperatingRegion()
    Specified by:
      `getOperatingRegion` in interface `SessionCache`